#
# Conditional build:
%bcond_with	tests		# do not perform "make test"
#
%define		pdir	Net
%define		pnam	IMAP-Simple
%include	/usr/lib/rpm/macros.perl
Summary:	Net::IMAP::Simple - Perl extension for simple IMAP account handling.
Summary(pl.UTF-8):     Moduł Perla Net::IMAP::Simple - prosta obsługa kont IMAP
Name:		perl-Net-IMAP-Simple
Version:	1.2034
Release:	1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Net/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	15dda3b14ea13172923ad7914fe64656
URL:		http://search.cpan.org/dist/Net-IMAP-Simple/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Parse-RecDescent
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is a simple way to access IMAP accounts. The API is mostly
equivalent to the Net::POP3 one, with some aditional methods for
mailbox handling.

%description -l pl.UTF-8
Ten moduł pozwala na łatwy dostęp do kont IMAP. API w większości
odpowiada temu z modułu Net::POP3, z paroma dodatkowymi metodami do
obsługi skrzynek.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{echo} "n" | %{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TODO
%dir %{perl_vendorlib}/Net/IMAP
%{perl_vendorlib}/Net/IMAP/*.pm
%{perl_vendorlib}/Net/IMAP/Simple
%{_mandir}/man3/*
%changelog
* Fri Oct 19 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Net-IMAP-Simple.git;a=log;h=master

* Fri Oct 19 2012 Sławomir Paszkiewicz <paszczus@pld-linux.org> ae6b71d
- added missing dir

* Fri Oct 19 2012 Sławomir Paszkiewicz <paszczus@pld-linux.org> 5e8c570
- proper License

* Fri Oct 19 2012 Sławomir Paszkiewicz <paszczus@pld-linux.org> a483f79
- switched to new version, 1.2034

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 0b1d493
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> d5a5f04
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 8a0cfd9
- converted to UTF-8

* Tue Feb 28 2006 Elan Ruusamäe <glen@pld-linux.org> 496f758
- adapterized (killed trailing spaces/tabs)

* Wed Dec 01 2004 radek <radek@pld-linux.org> 0fb2650
- standarized Source0 URL

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 92df143
- formatting

* Sun Aug 22 2004 Adam Gołębiowski <adamg@pld-linux.org> 5950193
- updated to 0.95

* Sat Jun 05 2004 radek <radek@pld-linux.org> d4ab074
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Fri May 07 2004 ankry <ankry@pld-linux.org> c8b9b7c
- rel. 3

* Thu May 06 2004 ankry <ankry@pld-linux.org> e30c3b2
- fixed perl-devel BR

* Tue Apr 27 2004 ankry <ankry@pld-linux.org> ee9207b
- license fixes, cosmetics

* Wed Apr 21 2004 ankry <ankry@pld-linux.org> 168aa03
- ported to new bconds

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 42d8634
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 5c9c694
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 81a2e6a
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> a327cf8
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> ba250c0
- should be ready for perl-5.8.0; release++

